using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMCryptoUtils
{
    public interface ISMUtil
    {
        string decrypt(string data, string appId, string appSecret);
        string encrypt(string data, string appId, string appSecret);
        string sign(JObject jsonObject, string appSecret, string privateKey);
        bool verify(JObject jsonObject, string appSecret, string publicKey, string responseSign);
    }
}
